Documentation · API reference
GET/api/v1/sites/{site}/visitors/{visitor}/export

A copy of everything held about a visitor, for them

A copy of everything held about a visitor, for them.

Parameters

sitein the address
neededA site's id or name
visitorin the address
neededThe visitor's ID

The answer

Status 200

VisitorExport Everything held about a visitor, as JSON for them (DS-02).

consent
list of RecordViewneeded
exported_at
integerneeded
note
stringneeded
properties
list of PropViewneeded
site
stringneeded
visitor
VisitorRowneeded
visits
list of ExportVisitneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}/export \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}/export", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());